%define	name		ssmtp
%define	version		2.61
%define	release		1

Summary:	A minimal mail-transfer agent which forwards mail to an SMTP server
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://packages.debian.org/unstable/mail/ssmtp.html
Group:		System Environment/Daemons
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	smtpdaemon MailTransportAgent

Source:		http://ftp.debian.org/debian/pool/main/s/ssmtp/%{name}_%{version}.orig.tar.gz
Patch0:		ssmtp-2.61-maxsysuid.patch

%description
This is sSMTP, a program that replaces sendmail on workstations that
should send their mail via the departmental mailhub from which they pick up
their mail (via pop, imap, rsmtp, pop_fetch, NFS... or the like).  This
program accepts mail and sends it to the mailhub, optionally replacing the
domain in the From: line with a different one.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .maxsysuid


%build
%configure
make

%install
rm -fr %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/ssmtp}

cp ssmtp	%{buildroot}%{_sbindir}/
cp ssmtp.8	%{buildroot}%{_mandir}/man8/
bzip2 %{buildroot}%{_mandir}/man8/ssmtp.8
cp ssmtp.conf	%{buildroot}%{_sysconfdir}/ssmtp/
cp revaliases	%{buildroot}%{_sysconfdir}/ssmtp/

ln -s %{_sbindir}/ssmtp %{buildroot}%{_sbindir}/sendmail
# ln -s %{_mandir}/man8/ssmtp.8.bz2 %{buildroot}%{_mandir}/man8/sendmail.8.bz2
#ln -s ssmtp.8.bz2 %{buildroot}%{_mandir}/man8/sendmail.8.bz2

# Fix perms of %doc files
chmod 644 INSTALL README TLS *.lsm

# remove unpackaged files
%{__rm} -f %{buildroot}%{_sbindir}/sendmail

%clean
rm -fr %{buildroot}

%post
update-alternatives --install %{_sbindir}/sendmail mta %{_sbindir}/ssmtp 5 \
        --slave %{_libdir}/sendmail mta-in_libdir %{_sbindir}/ssmtp 

%preun
if [ $1 = 0 ]; then
	update-alternatives --remove mta %{_sbindir}/ssmtp
fi

%files
%defattr(-,root,root)
%doc INSTALL README TLS *.lsm

%doc %attr(0644, root, root) %{_mandir}/man8/ssmtp.8*
#%doc %{_mandir}/man8/sendmail.8*

%attr(0755, root, root) %config(noreplace) %dir %{_sysconfdir}/ssmtp
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/ssmtp/*

%attr(0755, root, root) %{_sbindir}/ssmtp

%changelog
* Thu Oct  6 2005 Peter Hanecak <hanecak@megaloman.sk> 2.61-1
- update to 2.61
- changed group

* Tue Feb  4 2003 Peter Hanecak <hanecak@megaloman.sk> 2.60.3-1
- adapted to Doors Linux

* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.60.3-1mdk
- 2.60.3

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 2.50.3-3mdk
- use update-alternatives.
- use %%serverbuild.

* Tue Feb 25 2002 Andrej Borsenkow <arvidjaar@mail.ru> 2.50.3-2mdk
- change max system UID to 499
- conflicts with sendmail,postfix (anybody wanna alternatives for
  /usr/sbin/sendmail here?)
- provides MailTransportAgent

* Tue Feb 19 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.50.3-1mdk
- First Mandrake release
- Using Debian source of 2.50.3

* Thu May 25 2000 Steven Brooks <urracht@home.com>
- Created this spec file.

